[@rxap/forms](../wiki/globals) / InjectableValidator

# Interface: InjectableValidator

Defined in: [packages/angular/forms/src/lib/model.ts:25](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/model.ts#L25)

## Properties

### asyncValidate?

> `optional` **asyncValidate**: `AsyncValidatorFn`

Defined in: [packages/angular/forms/src/lib/model.ts:27](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/model.ts#L27)

***

### validate?

> `optional` **validate**: `ValidatorFn`

Defined in: [packages/angular/forms/src/lib/model.ts:26](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/model.ts#L26)
